New PvP Weapons Bug

AuthorMessage
Gunner's Mate
Mar 10, 2012
229
I am currently at Gladiator (141) rank on my swashbuckler in this season of PvP. The lowest tier of the new weapons, that I wanted for a stitch, require warrior (50-99) rank. I have the scrip necessary to purchase the lowest tier of weapons, but am unable to purchase them. I have sufficient inventory space as well. I believe there is a glitch in the code that enables the purchase of these weapons if you are exactly within the 50-99 range, rather than the expected 50+ rank requirement. Will this bug be fixed? Thanks in advance.

Administrator
Thanks for reporting this issue to us! To ensure it gets resolved, please use this Contact form to enter in the issue for our team: https://www.pirate101.com/CustomerSupport/free_game